Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces
NumericUtils.h File Reference
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::NumericUtils
| This is a helper class to generate prefix-encoded representations for numerical values and supplies converters to represent double values as sortable integers/longs. More...
class | Lucene::LongRangeBuilder
| Callback for splitLongRange. You need to overwrite only one of the methods. NOTE: This is a very low-level interface, the method signatures may change in later versions. More...
class | Lucene::IntRangeBuilder

## Namespaces

| Lucene

clucene.sourceforge.net